org.apache.olingo.commons.api.edm.provider.annotation

## Enum CsdlConstantExpression.ConstantExpressionType

- java.lang.Object
- - java.lang.Enum<CsdlConstantExpression.ConstantExpressionType>
  - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlConstantExpression.ConstantExpressionType

- All Implemented Interfaces:
    Serializable, Comparable<CsdlConstantExpression.ConstantExpressionType>
  Enclosing class:
    CsdlConstantExpression

      public static enum CsdlConstantExpression.ConstantExpressionType
      extends Enum<CsdlConstantExpression.ConstantExpressionType>

  Type of the constant expression

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Binary` Type Edm.binary
    `Bool` Type Edm.Bool
    `Date` Type Edm.Date
    `DateTimeOffset` Type Edm.DateTimeOffset
    `Decimal` Type Edm.Decimal
    `Duration` Type Edm.Duration
    `EnumMember` Type Edm.EnumMeber
    `Float` Type Edm.Float
    `Guid` Type Edm.GUID
    `Int` Type Integer
    `String` Type Edm.String
    `TimeOfDay` Type Edm.TimeOfDay

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CsdlConstantExpression.ConstantExpressionType` | `fromString(String value)` Creates a new type by a given string e.g.
    `static CsdlConstantExpression.ConstantExpressionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CsdlConstantExpression.ConstantExpressionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Binary

          public static final CsdlConstantExpression.ConstantExpressionType Binary

      Type Edm.binary

    - #### Bool

          public static final CsdlConstantExpression.ConstantExpressionType Bool

      Type Edm.Bool

    - #### Date

          public static final CsdlConstantExpression.ConstantExpressionType Date

      Type Edm.Date

    - #### DateTimeOffset

          public static final CsdlConstantExpression.ConstantExpressionType DateTimeOffset

      Type Edm.DateTimeOffset

    - #### Decimal

          public static final CsdlConstantExpression.ConstantExpressionType Decimal

      Type Edm.Decimal

    - #### Duration

          public static final CsdlConstantExpression.ConstantExpressionType Duration

      Type Edm.Duration

    - #### EnumMember

          public static final CsdlConstantExpression.ConstantExpressionType EnumMember

      Type Edm.EnumMeber

    - #### Float

          public static final CsdlConstantExpression.ConstantExpressionType Float

      Type Edm.Float

    - #### Guid

          public static final CsdlConstantExpression.ConstantExpressionType Guid

      Type Edm.GUID

    - #### Int

          public static final CsdlConstantExpression.ConstantExpressionType Int

      Type Integer

    - #### String

          public static final CsdlConstantExpression.ConstantExpressionType String

      Type Edm.String

    - #### TimeOfDay

          public static final CsdlConstantExpression.ConstantExpressionType TimeOfDay

      Type Edm.TimeOfDay

  - ### Method Detail

    - #### values

          public static CsdlConstantExpression.ConstantExpressionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CsdlConstantExpression.ConstantExpressionType c : CsdlConstantExpression.ConstantExpressionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CsdlConstantExpression.ConstantExpressionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromString

          public static CsdlConstantExpression.ConstantExpressionType fromString(String value)

      Creates a new type by a given string e.g. "TimeOfDay". Will NOT throw an IlligalArgumentException for invalid types. If needed use the valueOf method.
      Parameters:
        `value` - Type as string
      Returns:
        Type type

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.